Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d
Class GenericGraphicsDevice

    java.lang.Object
      java.awt.GraphicsDevice
          org.apache.xmlgraphics.java2d.GenericGraphicsDevice

    public class GenericGraphicsDevice

extends GraphicsDevice

This implements the `GraphicsDevice` interface as appropriate for the various output configurations.

Field Summary

Fields inherited from class java.awt.GraphicsDevice
`TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

Constructor Summary
`GenericGraphicsDevice(GraphicsConfiguration gc)` Create a new graphics2D device.

Method Summary
`GraphicsConfiguration` | `getBestConfiguration(GraphicsConfigTemplate gct)` Ignore template and return the only config we have
`GraphicsConfiguration[]` | `getConfigurations()` Return an array of our one GraphicsConfig
`GraphicsConfiguration` | `getDefaultConfiguration()` Return out sole GraphicsConfig.
`String` | `getIDstring()` Generate an IdString..
`int` | `getType()` Let the caller know that we are "a printer"

Methods inherited from class java.awt.GraphicsDevice
`getAvailableAcceleratedMemory, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, setDisplayMode, setFullScreenWindow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericGraphicsDevice

    public GenericGraphicsDevice(GraphicsConfiguration gc)

  Create a new graphics2D device.

  Parameters:
    `gc` - we should reference

Method Detail

### getBestConfiguration

    public GraphicsConfiguration getBestConfiguration(GraphicsConfigTemplate gct)

  Ignore template and return the only config we have

  Overrides:
    `getBestConfiguration` in class `GraphicsDevice`
  Parameters:
    `gct` - the template configuration
  Returns:
    the best configuration which is the only one

### getConfigurations

    public GraphicsConfiguration[] getConfigurations()

  Return an array of our one GraphicsConfig

  Specified by:
    `getConfigurations` in class `GraphicsDevice`
  Returns:
    an array containing the one graphics configuration

### getDefaultConfiguration

    public GraphicsConfiguration getDefaultConfiguration()

  Return out sole GraphicsConfig.

  Specified by:
    `getDefaultConfiguration` in class `GraphicsDevice`
  Returns:
    the graphics configuration that created this object

### getIDstring

    public String getIDstring()

  Generate an IdString..

  Specified by:
    `getIDstring` in class `GraphicsDevice`
  Returns:
    the ID string for this device, uses toString

### getType

    public int getType()

  Let the caller know that we are "a printer"

  Specified by:
    `getType` in class `GraphicsDevice`
  Returns:
    the type which is always printer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.